@if (href) {
  <a
    [routerLink]="href"
    [ngClass]="{ 'no-box-shadow': !hasBoxShadow }"
    class="card"
  >
    <ng-container *ngTemplateOutlet="cardContent"></ng-container>
  </a>
} @else {
  <button
    [ngClass]="{ 'no-box-shadow': !hasBoxShadow }"
    class="card"
    (click)="clickButton.emit()"
  >
    <ng-container *ngTemplateOutlet="cardContent"></ng-container>
  </button>
}

<ng-template #cardContent>
  <div class="content">
    <p *ngIf="title" class="title">{{ title }}</p>
    <p *ngIf="subtitle" class="sub-title">{{ subtitle }}</p>
    <p *ngIf="content" class="text">{{ content }}</p>
    <ng-content></ng-content>
  </div>
  <div class="banner">
    <lib-general-icon
      [isFilled]="true"
      [name]="icon"
      [size]="iconFontSize.xLarge"
    ></lib-general-icon>
  </div>
</ng-template>
